Application: gvSIG desktop - gvSIG bugs #4763
Scripting Composer: Can't move script to a folder
12/07/2017 01:15 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Scripting

Target version: 2.5.1-3011

Severity: Minor Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: 2843 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

| can't move a script to a folder by using Script > Move menu option in the Scripting Composer:

ERROR 167898 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.ClassCastException:
org.gvsig.scripting.swing.impl.DefaultJScriptingBrowser cannot be cast to javax.swing.JViewport
java.lang.ClassCastException: org.gvsig.scripting.swing.impl.DefaultJScriptingBrowser cannot be cast to
javax.swing.JViewport

at org.gvsig.scripting.swing.impl.composer.JMoveScriptPanel.actionPerformed(JMoveScriptPanel.java: 147)

at org.gvsig.tools.swing.impl.DefaultActionListenerSupport.fireActionEvent(DefaultActionListenerSupport.java:44)

at org.gvsig.scripting.swing.impl.DefaultJScriptingBrowser.fireSelectAction(DefaultJScriptingBrowser.java:360)

at org.gvsig.scripting.swing.impl.DefaultJScriptingBrowser.access$000(DefaultJScriptingBrowser.java:50)

at org.gvsig.scripting.swing.impl.DefaultJScriptingBrowser$1.valueChanged(DefaultJScriptingBrowser.java:267)

at javax.swing.JTree.fireValueChanged(JTree.java:2927)

at javax.swing.JTree$TreeSelectionRedirector.valueChanged(JTree.java:3391)

at javax.swing.tree.DefaultTreeSelectionModel.fireValueChanged(DefaultTreeSelectionModel.java:635)

at javax.swing.tree.DefaultTreeSelectionModel.notifyPathChange(DefaultTreeSelectionModel.java:1093)

at javax.swing.tree.DefaultTreeSelectionModel.setSelectionPaths(DefaultTreeSelectionModel.java:294)

at javax.swing.tree.DefaultTreeSelectionModel.setSelectionPath(DefaultTreeSelectionModel.java: 188)

at javax.swing.JTree.setSelectionPath(JTree.java:1634)

at javax.swing.plaf.basic.BasicTreeUl.selectPathForEvent(BasicTreeUl.java:2393)
History

#1 - 12/20/2017 09:50 AM - Joaquin del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#2 - 03/08/2020 11:12 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3011

- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

#3 - 03/11/2020 12:17 PM - Alvaro Anguix
- Status changed from Fixed to Closed
